<?php
/**
 * Visa Consulting Service functions and definitions
 * @package Visa Consulting Service
 */
 /* Breadcrumb Begin */
 function visa_consulting_service_the_breadcrumb() {
 	if (!is_home()) {
 		echo '<a href="';
 			echo esc_url( home_url() );
 		echo '">';
 			bloginfo('name');
 		echo "</a> / ";
 		if (is_category() || is_single()) {
 			the_category('/');
 			if (is_single()) {
 				echo "/ <span> ";
 					the_title();
 				echo "</span> ";
 			}
 		} elseif (is_page()) {
 			echo "<span> ";
 				the_title();
 		}
 	}
 }
/* Theme Setup */
if ( ! function_exists( 'visa_consulting_service_setup' ) ) :

function visa_consulting_service_setup() {
	
	$GLOBALS['content_width'] = apply_filters( 'visa_consulting_service_content_width', 640 );

	load_theme_textdomain( 'visa-consulting-service', get_template_directory() . '/languages' );
	add_theme_support( 'automatic-feed-links' );
	add_theme_support( 'post-thumbnails' );
	add_theme_support( 'align-wide' );
	add_theme_support( 'wp-block-styles' );
	add_theme_support( 'woocommerce' );
	add_theme_support( 'wc-product-gallery-zoom' );
    add_theme_support( 'wc-product-gallery-slider' );
	add_theme_support( 'title-tag' );
	add_theme_support( 'custom-logo', array(
		'height'      => 80,
		'width'       => 80,
		'flex-height' => true,
	) );
	add_image_size('visa-consulting-service-homepage-thumb',240,145,true);

	register_nav_menus( array(
		'primary' => __( 'Primary Menu', 'visa-consulting-service' ),
	) );

	add_theme_support( 'custom-background', array(
		'default-color' => 'f1f1f1'
	) );

	add_theme_support( 'post-formats', array('image','video','gallery','audio',) );

	add_theme_support( 'html5', array(
		'comment-form',
		'comment-list',
		'gallery',
		'caption',
	));

	add_theme_support('responsive-embeds');
	/*
	 * This theme styles the visual editor to resemble the theme style,
	 * specifically font, colors, icons, and column width.
	 */
	add_editor_style( array( 'css/editor-style.css', visa_consulting_service_font_url() ) );

	
}
endif; // visa_consulting_service_setup
add_action( 'after_setup_theme', 'visa_consulting_service_setup' );

/* Theme Widgets Setup */
function visa_consulting_service_widgets_init() {
	register_sidebar( array(
		'name'          => __( 'Blog Sidebar', 'visa-consulting-service' ),
		'description'   => __( 'Appears on posts and pages', 'visa-consulting-service' ),
		'id'            => 'sidebar-1',
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget'  => '</aside>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => __( 'Posts and Pages Sidebar', 'visa-consulting-service' ),
		'description'   => __( 'Appears on posts and pages', 'visa-consulting-service' ),
		'id'            => 'sidebar-2',
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget'  => '</aside>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => __( 'Third Column Sidebar', 'visa-consulting-service' ),
		'description'   => __( 'Appears on posts and pages', 'visa-consulting-service' ),
		'id'            => 'sidebar-3',
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget'  => '</aside>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );

	//Footer widget areas
	$visa_consulting_service_widget_areas = get_theme_mod('visa_consulting_service_footer_widget_areas', '4');
	for ($visa_consulting_service_i=1; $visa_consulting_service_i <= 4; $visa_consulting_service_i++) {
		register_sidebar( array(
			'name'          => __( 'Footer Widget ', 'visa-consulting-service' ) . $visa_consulting_service_i,
			'id'            => 'footer-' . $visa_consulting_service_i,
			'description'   => '',
			'before_widget' => '<aside id="%1$s" class="widget %2$s">',
			'after_widget'  => '</aside>',
			'before_title'  => '<h3 class="widget-title">',
			'after_title'   => '</h3>',
		) ); 
	}

	register_sidebar( array(
		'name'          => __( 'Shop Page Sidebar', 'visa-consulting-service' ),
		'description'   => __( 'Appears on shop page', 'visa-consulting-service' ),
		'id'            => 'woocommerce_sidebar',
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget'  => '</aside>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => __( 'Single Product Page Sidebar', 'visa-consulting-service' ),
		'description'   => __( 'Appears on single product page', 'visa-consulting-service' ),
		'id'            => 'woocommerce-single-sidebar',
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget'  => '</aside>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );
}
add_action( 'widgets_init', 'visa_consulting_service_widgets_init' );

// edit
if (!function_exists('visa_consulting_service_edit_link')) :

    function visa_consulting_service_edit_link($view = 'default')
    {
    global $post;
        edit_post_link(
            sprintf(
                wp_kses(
                /* translators: %s: Name of current post. Only visible to screen readers */
                    __('Edit <span class="screen-reader-text">%s</span>', 'visa-consulting-service'),
                    array(
                        'span' => array(
                            'class' => array(),
                        ),
                    )
                ),
                get_the_title()
            ),
            '<span class="edit-link"><i class="fa-solid fa-pen mx-2"></i>',
            '</span>'
        );
    }
endif;

// Changeset
add_action('admin_init', function() {
    if(isset($_GET['changeset_uuid']) && $_GET['changeset_uuid'] !== 'new' && $_GET['changeset_uuid'] !== 'auto') {
        global $wpdb;
        $visa_consulting_service_uuid = sanitize_text_field($_GET['changeset_uuid']);

        $visa_consulting_service_deleted = $wpdb->delete($wpdb->posts, [
            'post_type' => 'customize_changeset',
            'post_name' => $visa_consulting_service_uuid
        ]);
        
        if($visa_consulting_service_deleted) {
            wp_redirect(admin_url('customize.php?url=' . urlencode(home_url('/'))));
            exit;
        }
    }
});

/* Theme Font URL */
function visa_consulting_service_font_url() {
	$font_family   = array(
		'Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900',
		'Bad Script',
		'Fjalla One',
		'PT Sans:ital,wght@0,400;0,700;1,400;1,700',
		'Overpass:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900',
		'Montserrat:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900',
		'Playball',
		'Alegreya:ital,wght@0,400;0,500;0,600;0,700;0,800;0,900;1,400;1,500;1,600;1,700;1,800;1,900',
		'Julius Sans One',
		'Arsenal:ital,wght@0,400;0,700;1,400;1,700',
		'Slabo 13px',
		'Lato:ital,wght@0,100;0,300;0,400;0,700;0,900;1,100;1,300;1,400;1,700;1,900',
		'Overpass Mono:wght@300;400;500;600;700',
		'Source Sans Pro:ital,wght@0,200;0,300;0,400;0,600;0,700;0,900;1,200;1,300;1,400;1,600;1,700;1,900',
		'Raleway:ital,wght@0,100..900;1,100..900',
		'Merriweather:ital,wght@0,300;0,400;0,700;0,900;1,300;1,400;1,700;1,900',
		'Rubik:ital,wght@0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,300;1,400;1,500;1,600;1,700;1,800;1,900',
		'Lora:ital,wght@0,400;0,500;0,600;0,700;1,400;1,500;1,600;1,700',
		'Ubuntu:ital,wght@0,300;0,400;0,500;0,700;1,300;1,400;1,500;1,700',
		'Cabin:ital,wght@0,400;0,500;0,600;0,700;1,400;1,500;1,600;1,700',
		'Arimo:ital,wght@0,400;0,500;0,600;0,700;1,400;1,500;1,600;1,700',
		'Playfair Display:ital,wght@0,400;0,500;0,600;0,700;0,800;0,900;1,400;1,500;1,600;1,700;1,800;1,900',
		'Padauk:wght@400;700',
		'Inconsolata:wght@200;300;400;500;600;700;800;900&family=Mulish:ital,wght@0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;0,1000;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900;1,1000',
		'Bitter:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Mulish:ital,wght@0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;0,1000;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900;1,1000',
		'Pacifico',
		'Indie Flower',
		'VT323',
		'Dosis:wght@200;300;400;500;600;700;800',
		'Frank Ruhl Libre:wght@300;400;500;700;900',
		'Fjalla One',
		'Oxygen:wght@300;400;700',
		'Arvo:ital,wght@0,400;0,700;1,400;1,700',
		'Noto Serif:ital,wght@0,400;0,700;1,400;1,700',
		'Lobster',
		'Crimson Text:ital,wght@0,400;0,600;0,700;1,400;1,600;1,700',
		'Yanone Kaffeesatz:wght@200;300;400;500;600;700',
		'Anton',
		'Libre Baskerville:ital,wght@0,400;0,700;1,400',
		'Bree Serif',
		'Gloria Hallelujah',
		'Abril Fatface',
		'Varela Round',
		'Vampiro One',
		'Shadows Into Light',
		'Cuprum:ital,wght@0,400;0,500;0,600;0,700;1,400;1,500;1,600;1,700',
		'Rokkitt:wght@100;200;300;400;500;600;700;800;900',
		'Vollkorn:ital,wght@0,400;0,500;0,600;0,700;0,800;0,900;1,400;1,500;1,600;1,700;1,800;1,900',
		'Francois One',
		'Orbitron:wght@400;500;600;700;800;900',
		'Patua One',
		'Acme',
		'Josefin Slab:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;1,100;1,200;1,300;1,400;1,500;1,600;1,700',
		'Quattrocento Sans:ital,wght@0,400;0,700;1,400;1,700',
		'Architects Daughter',
		'Russo One',
		'Monda:wght@400;700',
		'Righteous',
		'Lobster Two:ital,wght@0,400;0,700;1,400;1,700',
		'Hammersmith One',
		'Courgette',
		'Permanent Marke',
		'Cherry Swash:wght@400;700',
		'Cormorant Garamond:ital,wght@0,300;0,400;0,500;0,600;0,700;1,300;1,400;1,500;1,600;1,700',
		'Poiret One',
		'BenchNine:wght@300;400;700',
		'Economica:ital,wght@0,400;0,700;1,400;1,700',
		'Handlee',
		'Cardo:ital,wght@0,400;0,700;1,400',
		'Alfa Slab One',
		'Averia Serif Libre:ital,wght@0,300;0,400;0,700;1,300;1,400;1,700',
		'Cookie',
		'Chewy',
		'Great Vibes',
		'Philosopher:ital,wght@0,400;0,700;1,400;1,700',
		'Days One',
		'Kanit:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900',
		'Shrikhand',
		'Tangerine:wght@400;700',
		'IM Fell English SC',
		'Boogaloo',
		'Bangers',
		'Fredoka One',
		'Volkhov:ital,wght@0,400;0,700;1,400;1,700',
		'Shadows Into Light Two',
		'Marck Script',
		'Sacramento',
		'Open Sans:ital,wght@0,300;0,400;0,500;0,600;0,700;0,800;1,300;1,400;1,500;1,600;1,700;1,800',
		'Quicksand:wght@300..700',
		'Heebo:wght@100..900&display=swap'
	);

	$query_args = array(
		'family' => implode( '|', $font_family ),
		'display' => 'swap',
	);

	$fonts_url = add_query_arg( $query_args, 'https://fonts.googleapis.com/css' );
	if ( function_exists( 'visa_consulting_service_wptt_get_webfont_url' ) ) {
		return visa_consulting_service_wptt_get_webfont_url( esc_url_raw( $fonts_url ) );
	}
	return esc_url_raw( $fonts_url );
}

/* Theme enqueue scripts */
function visa_consulting_service_scripts() {
	wp_enqueue_style( 'visa-consulting-service-font', visa_consulting_service_font_url(), array() );
	wp_enqueue_style( 'bootstrap-css', get_template_directory_uri() . '/css/bootstrap.css');
	wp_enqueue_style( 'animate-css', get_template_directory_uri().'/css/animate.css' );
	// blocks-css
	wp_enqueue_style( 'visa-consulting-service-block-style', get_theme_file_uri('/css/blocks.css') );
	wp_style_add_data( 'visa-consulting-service-style', 'style-rtl', 'replace' );	
	wp_enqueue_style( 'visa-consulting-service-basic-style', get_stylesheet_uri() );
	wp_enqueue_style( 'font-awesome-css', get_template_directory_uri().'/css/fontawesome-all.css' );
	// body
	$visa_consulting_service_body_color       = get_theme_mod('visa_consulting_service_body_color', '');
	$visa_consulting_service_body_font_family = get_theme_mod('visa_consulting_service_body_font_family', '');
	$visa_consulting_service_body_font_size   = get_theme_mod('visa_consulting_service_body_font_size', '');
	$visa_consulting_service_body_font_weight   = get_theme_mod('visa_consulting_service_body_font_weight', '');	
			
	// Paragraph
	$visa_consulting_service_paragraph_color       = get_theme_mod('visa_consulting_service_paragraph_color', '');
	$visa_consulting_service_paragraph_font_family = get_theme_mod('visa_consulting_service_paragraph_font_family', '');
	$visa_consulting_service_paragraph_font_size   = get_theme_mod('visa_consulting_service_paragraph_font_size', '');
	$visa_consulting_service_paragraph_font_weight   = get_theme_mod('visa_consulting_service_paragraph_font_weight', '');
	// "a" tag
	$visa_consulting_service_atag_color       = get_theme_mod('visa_consulting_service_atag_color', '');
	$visa_consulting_service_atag_font_family = get_theme_mod('visa_consulting_service_atag_font_family', '');
	// "li" tag
	$visa_consulting_service_li_color       = get_theme_mod('visa_consulting_service_li_color', '');
	$visa_consulting_service_li_font_family = get_theme_mod('visa_consulting_service_li_font_family', '');
	// H1
	$visa_consulting_service_h1_color       = get_theme_mod('visa_consulting_service_h1_color', '');
	$visa_consulting_service_h1_font_family = get_theme_mod('visa_consulting_service_h1_font_family', '');
	$visa_consulting_service_h1_font_size   = get_theme_mod('visa_consulting_service_h1_font_size', '');
	$visa_consulting_service_h1_font_weight   = get_theme_mod('visa_consulting_service_h1_font_weight', '');
	// H2
	$visa_consulting_service_h2_color       = get_theme_mod('visa_consulting_service_h2_color', '');
	$visa_consulting_service_h2_font_family = get_theme_mod('visa_consulting_service_h2_font_family', '');
	$visa_consulting_service_h2_font_size   = get_theme_mod('visa_consulting_service_h2_font_size', '');
	$visa_consulting_service_h2_font_weight   = get_theme_mod('visa_consulting_service_h2_font_weight', '');
	// H3
	$visa_consulting_service_h3_color       = get_theme_mod('visa_consulting_service_h3_color', '');
	$visa_consulting_service_h3_font_family = get_theme_mod('visa_consulting_service_h3_font_family', '');
	$visa_consulting_service_h3_font_size   = get_theme_mod('visa_consulting_service_h3_font_size', '');
	$visa_consulting_service_h3_font_weight   = get_theme_mod('visa_consulting_service_h3_font_weight', '');
	// H4
	$visa_consulting_service_h4_color       = get_theme_mod('visa_consulting_service_h4_color', '');
	$visa_consulting_service_h4_font_family = get_theme_mod('visa_consulting_service_h4_font_family', '');
	$visa_consulting_service_h4_font_size   = get_theme_mod('visa_consulting_service_h4_font_size', '');
	$visa_consulting_service_h4_font_weight   = get_theme_mod('visa_consulting_service_h4_font_weight', '');
	// H5
	$visa_consulting_service_h5_color       = get_theme_mod('visa_consulting_service_h5_color', '');
	$visa_consulting_service_h5_font_family = get_theme_mod('visa_consulting_service_h5_font_family', '');
	$visa_consulting_service_h5_font_size   = get_theme_mod('visa_consulting_service_h5_font_size', '');
	$visa_consulting_service_h5_font_weight   = get_theme_mod('visa_consulting_service_h5_font_weight', '');
	// H6
	$visa_consulting_service_h6_color       = get_theme_mod('visa_consulting_service_h6_color', '');
	$visa_consulting_service_h6_font_family = get_theme_mod('visa_consulting_service_h6_font_family', '');
	$visa_consulting_service_h6_font_size   = get_theme_mod('visa_consulting_service_h6_font_size', '');
	$visa_consulting_service_h6_font_weight   = get_theme_mod('visa_consulting_service_h6_font_weight', '');

	$visa_consulting_service_custom_css = '
		body{
		    color:'.esc_html($visa_consulting_service_body_color).'!important;
		    font-family: '.esc_html($visa_consulting_service_body_font_family).';
		    font-size: '.esc_html($visa_consulting_service_body_font_size).'px;
			font-weight: '.esc_html($visa_consulting_service_body_font_weight).'!important;
		}
		p,span{
		    color:'.esc_html($visa_consulting_service_paragraph_color).'!important;
		    font-family: '.esc_html($visa_consulting_service_paragraph_font_family).';
		    font-size: '.esc_html($visa_consulting_service_paragraph_font_size).'px !important;
			font-weight: '.esc_html($visa_consulting_service_paragraph_font_weight).'!important;
		}
		a{
		    color:'.esc_html($visa_consulting_service_atag_color).'!important;
		    font-family: '.esc_html($visa_consulting_service_atag_font_family).';
		}
		li{
		    color:'.esc_html($visa_consulting_service_li_color).'!important;
		    font-family: '.esc_html($visa_consulting_service_li_font_family).';
		}
		h1{
		    color:'.esc_html($visa_consulting_service_h1_color).'!important;
		    font-family: '.esc_html($visa_consulting_service_h1_font_family).'!important;
		    font-size: '.esc_html($visa_consulting_service_h1_font_size).'px!important;
			font-weight: '.esc_html($visa_consulting_service_h1_font_weight).'!important;	
		}
		h2{
		    color:'.esc_html($visa_consulting_service_h2_color).'!important;
		    font-family: '.esc_html($visa_consulting_service_h2_font_family).'!important;
		    font-size: '.esc_html($visa_consulting_service_h2_font_size).'px!important;
			font-weight: '.esc_html($visa_consulting_service_h2_font_weight).'!important;
		}
		h3{
		    color:'.esc_html($visa_consulting_service_h3_color).'!important;
		    font-family: '.esc_html($visa_consulting_service_h3_font_family).'!important;
		    font-size: '.esc_html($visa_consulting_service_h3_font_size).'px!important;
			font-weight: '.esc_html($visa_consulting_service_h3_font_weight).'!important;
		}
		h4{
		    color:'.esc_html($visa_consulting_service_h4_color).'!important;
		    font-family: '.esc_html($visa_consulting_service_h4_font_family).'!important;
		    font-size: '.esc_html($visa_consulting_service_h4_font_size).'px!important;
			font-weight: '.esc_html($visa_consulting_service_h4_font_weight).'!important;
		}
		h5{
		    color:'.esc_html($visa_consulting_service_h5_color).'!important;
		    font-family: '.esc_html($visa_consulting_service_h5_font_family).'!important;
		    font-size: '.esc_html($visa_consulting_service_h5_font_size).'px!important;
			font-weight: '.esc_html($visa_consulting_service_h5_font_weight).'!important;
		}
		h6{
		    color:'.esc_html($visa_consulting_service_h6_color).'!important;
		    font-family: '.esc_html($visa_consulting_service_h6_font_family).'!important;
		    font-size: '.esc_html($visa_consulting_service_h6_font_size).'px!important;
			font-weight: '.esc_html($visa_consulting_service_h6_font_weight).'!important;
		}
	';
	wp_add_inline_style('visa-consulting-service-basic-style', $visa_consulting_service_custom_css);

	/* Theme Color sheet */
	require get_parent_theme_file_path( '/theme-color-option.php' );
	wp_add_inline_style( 'visa-consulting-service-basic-style',$visa_consulting_service_custom_css );
	wp_enqueue_script( 'tether-js', get_template_directory_uri() . '/js/tether.js', array('jquery') ,'1.3.3',true);
	wp_enqueue_script( 'bootstrap-js', get_template_directory_uri() . '/js/bootstrap.js', array('jquery') ,'5.0.0',true);
	wp_enqueue_script( 'popper-js', get_template_directory_uri() . '/js/popper.js', array('jquery') ,'2.9.2',true);
	wp_enqueue_script( 'wow', get_template_directory_uri() . '/js/wow.js', array('jquery') );
	wp_enqueue_script( 'visa-consulting-service-custom-scripts-jquery', (get_template_directory_uri()) . '/js/custom.js', array('jquery') );
	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
		wp_enqueue_script( 'comment-reply' );
	}
}
add_action( 'wp_enqueue_scripts', 'visa_consulting_service_scripts' );

function visa_consulting_service_theme_setup() {
	if ( ! defined( 'VISA_CONSULTING_SERVICE_LIVE_DEMO' ) ) {
		define('VISA_CONSULTING_SERVICE_LIVE_DEMO', __('https://demos.buywptemplates.com/visa-consulting-service-pro/', 'visa-consulting-service'));
	}
	if ( ! defined( 'VISA_CONSULTING_SERVICE_BUY_PRO' ) ) {
		define('VISA_CONSULTING_SERVICE_BUY_PRO', __('https://www.buywptemplates.com/products/immigration-wordpress-theme', 'visa-consulting-service'));
	}
	if ( ! defined( 'VISA_CONSULTING_SERVICE_PRO_DOC' ) ) {
		define('VISA_CONSULTING_SERVICE_PRO_DOC', __('https://demos.buywptemplates.com/demo/docs/visa-consulting-service-pro/', 'visa-consulting-service'));
	}
	if ( ! defined( 'VISA_CONSULTING_SERVICE_FREE_DOC' ) ) {
		define('VISA_CONSULTING_SERVICE_FREE_DOC', __('https://demos.buywptemplates.com/demo/docs/visa-consulting-service-lite/', 'visa-consulting-service'));
	}
	if ( ! defined( 'VISA_CONSULTING_SERVICE_PRO_SUPPORT' ) ) {
		define('VISA_CONSULTING_SERVICE_PRO_SUPPORT', __('https://buywptemplates.com/pages/community', 'visa-consulting-service'));
	}
	if ( ! defined( 'VISA_CONSULTING_SERVICE_FREE_SUPPORT' ) ) {
		define('VISA_CONSULTING_SERVICE_FREE_SUPPORT', __('https://wordpress.org/support/theme/visa-consulting-service/', 'visa-consulting-service'));
	}
	if ( ! defined( 'VISA_CONSULTING_SERVICE_REVIEW' ) ) {
		define('VISA_CONSULTING_SERVICE_REVIEW', __('https://wordpress.org/support/theme/visa-consulting-service/reviews/', 'visa-consulting-service'));
	}
	if ( ! defined( 'VISA_CONSULTING_SERVICE' ) ) {
		define('VISA_CONSULTING_SERVICE', __('https://www.buywptemplates.com/products/visa-consulting-service', 'visa-consulting-service'));
	}
}
add_action( 'after_setup_theme', 'visa_consulting_service_theme_setup' );

if ( ! function_exists( 'visa_consulting_service_credit' ) ) {
	function visa_consulting_service_credit(){
		echo '<a href="' . esc_url(VISA_CONSULTING_SERVICE) . '" target="_blank" rel="noopener noreferrer">' . esc_html__('Visa Consulting Service Theme', 'visa-consulting-service') . '</a>';
	}
}

/* Excerpt Limit Begin */
function visa_consulting_service_string_limit_words($string, $word_limit) {
	$words = explode(' ', $string, ($word_limit + 1));
	if(count($words) > $word_limit)
	array_pop($words);
	return implode(' ', $words);
}

/*radio button sanitization*/
function visa_consulting_service_sanitize_choices( $visa_consulting_service_input, $setting ) {
    global $wp_customize;
    $control = $wp_customize->get_control( $setting->id );
    if ( array_key_exists( $visa_consulting_service_input, $control->choices ) ) {
        return $visa_consulting_service_input;
    } else {
        return $setting->default;
    }
}

function visa_consulting_service_sanitize_checkbox( $visa_consulting_service_input ) {
	// Boolean check
	return ( ( isset( $visa_consulting_service_input ) && true == $visa_consulting_service_input ) ? true : false );
}

/* Integer sanitization */
if ( ! function_exists( 'visa_consulting_service_sanitize_integer' ) ) {
	function visa_consulting_service_sanitize_integer( $visa_consulting_service_input ) {
		return (int) $visa_consulting_service_input;
	}
}

// Change number or products per row to 4
add_filter('loop_shop_columns', 'visa_consulting_service_loop_columns');
if (!function_exists('visa_consulting_service_loop_columns')) {
	function visa_consulting_service_loop_columns() {
		$visa_consulting_service_columns = get_theme_mod( 'visa_consulting_service_per_columns', 4 );
		return $visa_consulting_service_columns; // 4 products per row
	}
}

//Change number of products that are displayed per page (shop page)
add_filter( 'loop_shop_per_page', 'visa_consulting_service_shop_per_page', 20 );
function visa_consulting_service_shop_per_page( $visa_consulting_service_cols ) {
  	$cols = get_theme_mod( 'visa_consulting_service_product_per_page', 12 );
	return $cols;
}

//Display the related posts
if ( ! function_exists( 'visa_consulting_service_related_posts' ) ) {
	function visa_consulting_service_related_posts() {
		wp_reset_postdata();
		global $post;
		$args = array(
			'no_found_rows'          => true,
			'update_post_meta_cache' => false,
			'update_post_term_cache' => false,
			'ignore_sticky_posts'    => 1,
			'orderby'                => 'rand',
			'post__not_in'           => array( $post->ID ),
			'posts_per_page'         => absint( get_theme_mod( 'visa_consulting_service_related_posts_count_number', '3' ) ),
		);
		// Categories
		if ( get_theme_mod( 'visa_consulting_service_related_posts_taxanomies', 'categories' ) == 'categories' ) {

			$cats = get_post_meta( $post->ID, 'related-posts', true );

			if ( ! $cats ) {
				$cats                 = wp_get_post_categories( $post->ID, array( 'fields' => 'ids' ) );
				$args['category__in'] = $cats;
			} else {
				$args['cat'] = $cats;
			}
		}
		// Tags
		if ( get_theme_mod( 'visa_consulting_service_related_posts_taxanomies', 'categories' ) == 'tags' ) {

			$tags = get_post_meta( $post->ID, 'related-posts', true );

			if ( ! $tags ) {
				$tags            = wp_get_post_tags( $post->ID, array( 'fields' => 'ids' ) );
				$args['tag__in'] = $tags;
			} else {
				$args['tag_slug__in'] = explode( ',', $tags );
			}
			if ( ! $tags ) {
				$break = true;
			}
		}
		$query = ! isset( $break ) ? new WP_Query( $args ) : new WP_Query();
		return $query;
	}
}

function visa_consulting_service_enable_post_featured_image(){
	if(get_theme_mod('visa_consulting_service_post_featured_image') == 'Image' ) {
		return true;
	}
	return false;
}

function visa_consulting_service_post_color_enabled(){
	if(get_theme_mod('visa_consulting_service_post_featured_image') == 'Color' ) {
		return true;
	}
	return false;
}

function visa_consulting_service_enable_post_image_custom_dimention(){
	if(get_theme_mod('visa_consulting_service_post_featured_image_dimention') == 'Custom' ) {
		return true;
	}
	return false;
}

function visa_consulting_service_enable_single_post_image_custom_dimention(){
	if(get_theme_mod('visa_consulting_service_single_post_featured_image_dimention') == 'Custom' ) {
		return true;
	}
	return false;
}

function visa_consulting_service_show_post_color(){
	if(get_theme_mod('visa_consulting_service_post_featured_image') == 'Color' ) {
		return true;
	}
	return false;
}

/* Implement the Custom Header feature. */
require get_template_directory() . '/inc/custom-header.php';

/* Custom template tags for this theme. */
require get_template_directory() . '/inc/template-tags.php';

/* Load Customizer file. */
require get_template_directory() . '/inc/customizer.php';

/* Load Customizer file. */
require get_template_directory() . '/wptt-webfont-loader.php';

/* Load welcome message. */
require get_template_directory() . '/inc/dashboard/get_started_info.php';